/*
* IMPACT MANAGER 
*
* This class manages all impacts
*
* @name Impact Manager
* @author Sebastian Pape <sebastian.pape@zhdk.ch>
* @version 15.12.2010
*/

class ImpactManager {
  
  /*
  * VARIABLES */
  ArrayList  impacts = new ArrayList();
  Boolean    limiter = true;
  Boolean    focusedImpact = false;
  
 /* 
 * CONSTRUCTOR */
 void ImpactManager() {
 }
 
 /* 
 * SIMULATE */
 void simulateAllImpacts() {
   for (int i = 0; i < impacts.size(); i++) {
     Impact _impact = (Impact)impacts.get(i);
     
     // SET LIMITER
     _impact.limiter = limiter;
     
     // SET FOCUSED IMPACT
     _impact.focusedImpact = focusedImpact;
     
     // IF ANIMATION IS OVER REMOVE
     if(_impact.currentAnimationLength >= _impact.maxAnimationLength) {
       impacts.remove(i);
       i -= 1;
     } else {
       // SIMULATE IMPACT
        _impact.simulate();
     }
   }
 }
 
 /*
 * NEW IMPACT */
 void newImpact(float _x, float _y) {
   Impact _impact = new Impact(_x, _y);
   impacts.add(_impact);
 }
  
}
